Bug 357367 - Desktop Settings -> Mouse Actions -> Vertical Scroll set to Application Launcher does not work
Summary: Desktop Settings -> Mouse Actions -> Vertical Scroll set to Application Launc...
Status: CONFIRMED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Desktop Containment (show other bugs)
Version: 5.5.4
Platform: Archlinux Linux
: NOR normal
Target Milestone: 1.0
Assignee: Sebastian Kügler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-31 12:16 UTC by Wulf
Modified: 2021-01-28 01:47 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wulf 2015-12-31 12:16:08 UTC
Hi,

I did not find anyone else with my problem.

Desktop Settings -> Mouse Actions -> Vertical Scroll set to Application Launcher does not work;
if I use the mouse wheel on the desktop nothing happens.
It is only this combination.
Application Launcher with mouse middle click works
Desktop Change with mouse wheel works

My mouse wheel works in all other situations like expected

new User: same problem, and i have no own xorg.conf. It' a USB HOLTEK Laser Gaming Mouse.
other Mouse (PIXART USB OPTICAL MOUSE): same problem
other Plasma in a Virtualbox Machine: same problem

no output in journal or xsessions-error

sorry, if product and component is wrong chosen by me

Reproducible: Always

Steps to Reproduce:
1. set Desktop Settings -> Mouse Actions -> Vertical Scroll set to Application Launcher
2. try mouse wheel
3- nothing happens

Actual Results:  
Nothing happens

Expected Results:  
open application launcher menu
Comment 1 Wulf 2016-01-10 16:02:28 UTC
I installed openSUSE tumbleweed in a Virtualbox to cross check the bug with another distribution, and there I have the same issue.
So it seems, that it does not depend on the distribution
Comment 2 Kai Uwe Broulik 2016-02-24 15:04:46 UTC
Only the mouse press actions (middle click, right click) ask for the containment action plugin's "contextual actions" and show a menu if needed. The wheel actions only trigger performPreviousAction/performNextAction which the launcher obviously does not implement. I'm not sure what the best way to solve this, if at all, is.

There's no way to tell that the action actually did something on wheel and if not open the menu.
Comment 3 Janet 2016-03-18 14:57:55 UTC
It also does not work if you asign the application menu to left mouse button (Netrunner 17, Plasma 5.5). I can confirm that it indeed does work mit middle mouse button - but I need the middle mouse button for pasting. And to use the mouse acitons to start the application menu alas is the only way to get the classic menu, as it alas is no alternative for the application menu in the panel anymore :(.
Comment 4 Kai Uwe Broulik 2016-03-20 19:30:54 UTC
It works with the left button, if you use the "Desktop" layout. It does not with "Folder" as the root MouseArea (responsible for eg. rubber band selection) eats the mouse event for left mouse button.
Comment 5 Janet 2016-03-23 12:22:06 UTC
(In reply to Kai Uwe Broulik from comment #4)
> It works with the left button, if you use the "Desktop" layout. It does not
> with "Folder" as the root MouseArea (responsible for eg. rubber band
> selection) eats the mouse event for left mouse button.

Thanks for the explanation :).
Comment 6 Tommi Nieminen 2016-04-13 15:39:06 UTC
I’ve been struggling with this too, trying to bind Ctrl+left click with Application Launcher in a Folder View activity. This used to work in KDE 4. Does Kai Uwe Broulik’s explanation mean there’s nothing to be done in Plasma 5—no way to have an application launcher from the desktop (at least unless you happen to have a three button mouse)?
Comment 7 Kai Uwe Broulik 2017-07-10 09:06:26 UTC
Git commit 6f19967d6078472f3d41347089bbd2fe0dce24f4 by Kai Uwe Broulik.
Committed on 10/07/2017 at 09:05.
Pushed by broulik into branch 'master'.

[Folder View] Replay mouse click so left button containment actions work

When we don't initiate a rubber band selection, replay the mouse event so containment actions assigned to the left mouse button work.

Differential Revision: https://phabricator.kde.org/D6552

M  +2    -0    containments/desktop/package/contents/ui/FolderView.qml

https://commits.kde.org/plasma-desktop/6f19967d6078472f3d41347089bbd2fe0dce24f4
Comment 8 Wulf 2017-10-12 00:04:01 UTC
Hello,

I can see the changes in /usr/share/plasma/plasmoids/org.kde.desktopcontainment/contents/ui/FolderView.qml

But unfortunately the bug isn't resolved with Plasma 5.11

Desktop Settings -> Mouse Actions -> Vertical Scroll set to Application Launcher still does not work

thx
Comment 9 Alexander Mentyu 2017-12-07 11:38:41 UTC
'Standard Menu', 'Application Action' and 'Paste' entries for 'Vertical-Scroll' aren't working - maybe they can be removed from the dropdown menu of 'Vertical-Scroll' as not intuitive - only switch actions for it?  

Distribution: KDE neon Developer Edition - Stable Branches
Plasma: 5.11.4
Frameworks: 5.41.0
Qt: 5.9.3
Kernel 4.10.0-40-generic
Type: 64-bit
Comment 10 Petr 2021-01-27 22:44:24 UTC
same as Bug 419867?
Comment 11 Nate Graham 2021-01-28 01:47:03 UTC
Could be related, though I'm not sure the root causes would be the same since this bug was filed a few years before Bug 419867 was.